package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF7D4RWSClientAccounts {

    private Map<String, Object> params;
    
    public MWF7D4RWSClientAccounts(Map<String, Object> params) {
        this.params = params;
    }

    public String rsAccountownerforename() {
        return (String) params.get("RS_ACCOUNTOWNERFORENAME");
    }

    public String rsAccountownersurname() {
        return (String) params.get("RS_ACCOUNTOWNERSURNAME");
    }

    public String rsAccountnumber() {
        return (String) params.get("RS_ACCOUNTNUMBER");
    }

    public String rsAccountcurrencycode() {
        return (String) params.get("RS_ACCOUNTCURRENCYCODE");
    }

    public Double rsAccountbalanceavailableamount() {
        return (Double) params.get("RS_ACCOUNTBALANCEAVAILABLEAMOUNT");
    }

    public String rsAccountiban() {
        return (String) params.get("RS_ACCOUNTIBAN");
    } 

}
